Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence
Enum PersistenceContextType

    java.lang.Object
      java.lang.Enum<PersistenceContextType>
          javax.persistence.PersistenceContextType

All Implemented Interfaces:
  Serializable, Comparable<PersistenceContextType>

    public enum PersistenceContextType

extends Enum<PersistenceContextType>

Specifies whether a transaction-scoped or extended persistence context is to be used in `PersistenceContext`. If the `type` element is not specified, a transaction-scoped persistence context is used.

Since:
  Java Persistence 1.0

Enum Constant Summary
`EXTENDED` Extended persistence context
`TRANSACTION` Transaction-scoped persistence context

Method Summary
`static PersistenceContextType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PersistenceContextType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSACTION

    public static final PersistenceContextType TRANSACTION

  Transaction-scoped persistence context

### EXTENDED

    public static final PersistenceContextType EXTENDED

  Extended persistence context

Method Detail

### values

    public static final PersistenceContextType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PersistenceContextType c : PersistenceContextType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PersistenceContextType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature

Copyright 2006 Sun Microsystems, Inc. All rights reserved.